# Restrict Route by IP

The `restrict_route_by_ip` module for Drupal provides an interface to manage
route restrictions based on IP addresses or ranges. This allows administrators
to control access to specific routes in Drupal.

## Features

- **Access Restriction**: Restrict access to routes based on IP addresses or
  ranges.
- **IP Range Formats**:
  - IP range with `-` (e.g., `x.x.x.x-x.x.x.x`)
  - IP range with `*` (e.g., `x.x.x.x*`)
  - CIDR IP range (e.g., `x.x.x.x/24`)
- **Manage Restrictions**: Add, remove, or disable route restrictions.
- **Preview Impacted Routes**: See a preview of which routes are impacted by
  your restrictions.
- **Route Definitions**:
  - Route name
  - Path
  - Path with wildcard (using `%` like `/admin/%/content`)
  - Regular expression

## Installation

### Download or Install

- Download the module or install it via Composer:
  ```sh
  composer require drupal/restrict_route_by_ip
  ```

### Enable the Module

- Enable the module using Drush:
  ```sh
  drush en restrict_route_by_ip -y
  ```
- Or enable it through the Drupal admin interface by navigating to Extend.

### Configure the Module

- Go to the configuration page at `/admin/config/system/restrict_route_by_ip` to
  define all restrictions.

